Jifty::Script::Po(3)

  options
Returns a hash of all the options this script takes. (See the usage message for details)

  run
Runs the "update_catalogs" method.

  _check_mime_type FILENAME
This routine returns a mimetype for the file "FILENAME".

  update_catalogs
Extracts localizable messages from all files in your application, finds all your message catalogs and updates them with new and changed messages.

  update_catalog FILENAME
Reads "FILENAME", a message catalog and integrates new or changed translations.

  extract_messages
Find all translatable messages in your application, using Locale::Maketext::Extract.

  print_help
Prints out help for the package using pod2usage.

If the user specified --help, prints a brief usage message

If the user specified --man, prints out a manpage

  pot_name
Returns the name of the po template.

NAME
Jifty::Script::Po - Extract translatable strings from your application

SYNOPSIS
  jifty po --language <lang>  Creates a <lang>.po file for translation
  jifty po                    Updates all existing po files

 Options:
   --language         Language to deal with
   --dir              Additional directories to extract from
   --js               Generate json files from the current po files

   --help             brief help message
   --man              full documentation

OPTIONS

--language
    This script an option, "--language", which is optional; it is the name of a message catalog to create.

--dir
    Specify explicit directories to extract from. Can be used multiple times. The default directories will not be extracted if you use this option.

--template_name
    Specify the name of the po template. Default to the lower-cased application name.

--podir
    Specify the directory of the po templates.

--js
    If "--js" is given, other options are ignored and the script will generate json files for each language under share/web/static/js/dict from the current po files. Before doing so, you might want to run "jifty po" with "--dir share/web/static/js" to include messages from javascript in your po files.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
Extracts message catalogs for your Jifty app. When run, Jifty will update all existing message catalogs, as well as create a new one if you specify a --language option.